"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("./constants");

const saveSequenceOnly = async (pool, eventId, timestamp) => {
  const {
    databaseName,
    tableName,
    executeStatement,
    escapeId
  } = pool;
  await executeStatement([`UPDATE ${escapeId(databaseName)}.${escapeId(`${tableName}-sequence`)} `, `SET ${escapeId('eventId')} = ${+eventId},`, `${escapeId('transactionId')} = CAST(txid_current() AS ${_constants.LONG_STRING_SQL_TYPE}),`, `${escapeId('timestamp')} = ${+timestamp}`, `WHERE ${escapeId('key')} = 0;`].join(''));
};

var _default = saveSequenceOnly;
exports.default = _default;
//# sourceMappingURL=save-sequence-only.js.map